<?php
session_start();
include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session


$id_cd=$sesion->id;
     $pri=$_POST['cd'];
    $fin=$_POST['consec'];
	$continua=0;
  $q2 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, efectivo, deposito, tarjeta, regalias, voucher, porpagar, consec, usuarios_ci_idusuarios_ci, cdentrega, statusentrega, inversionista_id_inver, nombrec FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones
  WHERE usuarios_ci_idusuarios_ci=$pri and consec=$fin and fechat=curdate()";
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  if(mysqli_affected_rows($conexion))
   {
 
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $rfc = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $cantidad = $r1[4];
	  $puntos = $r1[5];
	  $fecha = $r1[6];
	  $idtrans = $r1[7];
	  $tipo = $r1[8];
	   $ef = $r1[9];
	    $de = $r1[10];
		 $ta = $r1[11];
		  $re = $r1[12];
		   $vo = $r1[13];
		    $pp = $r1[14];
			 $consec = $r1[15];
			 $cd = $r1[16];
			 $cde = $r1[17];
			 $ste = $r1[18];
			 $inv = $r1[19];
			 $a20 = $r1[20];

	      $nombrecliente="$a1 $a2 $a3";
	  if($tipo==10){$tiponota='VENTA';   	  }
	  if($tipo==11){ $tiponota='SALIDA';  	  } 
	  if($tipo==1){ $tiponota='CANCEL';  	  } 
		if($tipo==6){ $tiponota='OTRASAL';  $nombrecliente=$r1[20];  } 
	
   }

  
   
   
   echo"<center><br><font size=\"+3\" color=\"red\">Cancelar Pedido</font>
    <br><br><font size=\"+2\">El pedido No. <b>$pri"."-"."$fin</b> ser&aacute; eliminado de sistema</font>
    <br><br>Informaci&oacute;n del Pedido<br>
	<table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>Pedido</th><th>RFC</th><th>Nombre</th><th>Tipo</th><th>CD</th><th>CDE</th><th>Status</th></tr>
	<tr><td>$pri"."-"."$fin</td><td>$rfc</td><td>$nombrecliente</td><td>$tiponota</td><td>$cd</td><td>$cde</td><td>$ste</td></tr>
	</table><br>";
	
	
   $qPP = "select id_prod, nombreProd, precio, puntos, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$idtrans order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
echo"<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Precio</th><th>Puntos</th><th>Cantidad</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{

	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			<td align=\"center\">$ $objetoPP->precio</td><td align=\"center\">$objetoPP->puntos</td>
		
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cant</td>

		

		  </tr> 

		 ";

   

}
echo"</table><br><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>Cantidad</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th></tr>
	<tr><td>$cantidad</td><td>$puntos</td><td>$ef</td><td>$de</td><td>$ta</td><td>$re</td><td>$vo</td><td>$pp</td></tr>
	</table>";
	
	
		if($tipo==11){
   $qPP8 = "select idtransacciones from asignaciones where nsalida=$idtrans";

$rPP8 = mysqli_query($conexion, $qPP8) or die ('ErrPP: '. mysqli_error($conexion));
	 if(mysqli_affected_rows($conexion))
   {echo"<br><br>Imposible eliminar pedido<br>Esta nota de salida ya ha sido aplicada"; $continua=1;
	
	
   }
	
		}
	if($re==0 && $vo==0 && $continua==0){
	echo"<br><br><form name=\"Busqueda\" action=\"cancelanota3.php\" method=\"post\">
<input type=hidden name=trans value=$idtrans>
	<input type=\"submit\" value=\"Continuar y Cancelar Pedido de Sistema\" name=\"boton_buscar\">
	</form>";
	
	
	
	}
	
		if($re>0 && $continua==0){
		$qcc1 = "SELECT rfc, nombre, appat, apmat, regs2.idreg, apagar, regs2.status from transacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join asignaregs on transacciones.idtransacciones=asignaregs.idtransacciones join regs2 on regs2.idreg=asignaregs.idreg where transacciones.idtransacciones=$idtrans ";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
           $rfc2=$rrc[0];	
		    $nom=$rrc[1];
			 $app=$rrc[2];
			  $apm=$rrc[3];
			   $idreg=$rrc[4]; 
			    $apagar=$rrc[5];
				 $streg=$rrc[6];$elstat='POR PAGAR';
				 if($streg!=0){$apagar=0; $elstat='PAGADA';}
				 echo"<br><hr><br><font color=\"#000099\" size=\"+2\">Este Pedido cuenta con regal&iacute;as aplicadas</font><br>
				 Estado actual de las regal&iacute;as:<br><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>ID Reg</th><th>A Favor de:</th><th>R.F.C.</th><th>Por Pagar</th><th>Estatus</th></tr>";
	
	echo"<tr align=\"center\"><td>$idreg</td><td>$nom $app $apm</td><td>$rfc2</td><td>$apagar</td><td>$elstat</td></tr>
	</table>";
	$apagar=$apagar+$re;
		echo"<br>Estado de las regal&iacute;as despu&eacute;s de la cancelaci&oacute;n:<br><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>ID Reg</th><th>A Favor de:</th><th>R.F.C.</th><th>Por Pagar</th><th>Estatus</th></tr>";
	
	echo"<tr align=\"center\"><td>$idreg</td><td>$nom $app $apm</td><td>$rfc2</td><td>$apagar</td><td>POR PAGAR</td></tr>
	</table>		 
				 
				 
				 
				 reg $idreg cant $apagar status $streg rfc $rfc2 ";
			
	echo"<br><br><form name=\"Busqueda\" action=\"cancelanota3.php\" method=\"post\">
<input type=hidden name=trans value=$idtrans>
	<input type=\"submit\" value=\"Continuar y Cancelar Pedido de Sistema\" name=\"boton_buscar\">
	</form>";
	
	
	
	}
	
			if($vo>0 && $continua==0){
		$qcc1 = "SELECT rfc, nombre, appat, apmat, voucher.idv, restante, voucher.status from transacciones join asignavoucher on transacciones.idtransacciones=asignavoucher.idtransacciones   join voucher on voucher.idv=asignavoucher.idv join inversionista on voucher.id_inv=inversionista.id_inver where transacciones.idtransacciones=$idtrans ";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
           $rfc2=$rrc[0];	
		    $nom=$rrc[1];
			 $app=$rrc[2];
			  $apm=$rrc[3];
			   $idreg=$rrc[4]; 
			    $apagar=$rrc[5];
				 $streg=$rrc[6];$elstat='POR PAGAR';
				 if($streg!=0){$apagar=0; $elstat='PAGADA';}
				 echo"<br><hr><br><font color=\"#000099\" size=\"+2\">Este Pedido cuenta con voucher aplicado</font><br>
				 Estado actual del voucher:<br><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>Voucher</th><th>A Favor de:</th><th>R.F.C.</th><th>Por Pagar</th><th>Estatus</th></tr>";
	
	echo"<tr align=\"center\"><td>$idreg</td><td>$nom $app $apm</td><td>$rfc2</td><td>$apagar</td><td>$elstat</td></tr>
	</table>";
	$apagar=$apagar+$vo;
		echo"<br>Estado del voucher despu&eacute;s de la cancelaci&oacute;n:<br><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>ID Reg</th><th>A Favor de:</th><th>R.F.C.</th><th>Por Pagar</th><th>Estatus</th></tr>";
	
	echo"<tr align=\"center\"><td>$idreg</td><td>$nom $app $apm</td><td>$rfc2</td><td>$apagar</td><td>POR PAGAR</td></tr>
	</table>		 
				 
				 
				 
				 vou $idreg cant $apagar status $streg rfc $rfc2 ";
			
	echo"<br><br><form name=\"Busqueda\" action=\"cancelanota3.php\" method=\"post\">
<input type=hidden name=trans value=$idtrans>
	<input type=\"submit\" value=\"Continuar y Cancelar Pedido de Sistema\" name=\"boton_buscar\">
	</form>";
	
	
	
	}
	
	 }else {echo"<br><br><center><font size=\"+3\">Imposible eliminar pedido</font><br><br>
	 *Favor de revisar haber escrito correctamente el No. de pedido
	 <br>*Solo se pueden eliminar pedidos realizados el mismo d&iacute;a
	<br><br> <form name=\"busca\" action=\"cancelanota.php\" method=\"post\">

		
<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Regresar\" /></form>";}
?>

